# gdcm::LookupTable Class Reference

LookupTable class. More...

`#include <gdcmLookupTable.h>`

Inheritance diagram for gdcm::LookupTable:
[legend]
Collaboration diagram for gdcm::LookupTable:
[legend]

List of all members.

## Public Types
enum | LookupTableType { RED = 0, GREEN, BLUE, GRAY, UNKNOWN }
## Public Member Functions
| LookupTable (LookupTable const &lut)
| LookupTable ()
| ~LookupTable ()
void | Allocate (unsigned short bitsample=8)
| Allocate the LUT.
void | Clear ()
| Clear the LUT.
void | Decode (std::istream &is, std::ostream &os) const
| Decode the LUT.
unsigned short | GetBitSample () const
| return the bit sample
bool | GetBufferAsRGBA (unsigned char *rgba) const
| return the LUT as RGBA buffer
void | GetLUT (LookupTableType type, unsigned char *array, unsigned int &length) const
void | GetLUTDescriptor (LookupTableType type, unsigned short &length, unsigned short &subscript, unsigned short &bitsize) const
unsigned int | GetLUTLength (LookupTableType type) const
const unsigned char * | GetPointer () const
| return a raw pointer to the LUT
void | InitializeBlueLUT (unsigned short length, unsigned short subscript, unsigned short bitsize)
void | InitializeGreenLUT (unsigned short length, unsigned short subscript, unsigned short bitsize)
void | InitializeLUT (LookupTableType type, unsigned short length, unsigned short subscript, unsigned short bitsize)
| Generic interface:
void | InitializeRedLUT (unsigned short length, unsigned short subscript, unsigned short bitsize)
| RED / GREEN / BLUE specific:
void | Print (std::ostream &) const
void | SetBlueLUT (const unsigned char *blue, unsigned int length)
void | SetGreenLUT (const unsigned char *green, unsigned int length)
virtual void | SetLUT (LookupTableType type, const unsigned char *array, unsigned int length)
void | SetRedLUT (const unsigned char *red, unsigned int length)
bool | WriteBufferAsRGBA (const unsigned char *rgba)
| Write the LUT as RGBA.
## Protected Attributes
unsigned short | BitSample
bool | IncompleteLUT:1
LookupTableInternal * | Internal

## Detailed Description

LookupTable class.

## Member Enumeration Documentation

enum gdcm::LookupTable::LookupTableType

Enumerator:

  RED |
  GREEN |
  BLUE |
  GRAY |
  UNKNOWN |

## Constructor & Destructor Documentation

gdcm::LookupTable::LookupTable | ( |  | ) |

gdcm::LookupTable::~LookupTable | ( |  | ) |

gdcm::LookupTable::LookupTable | ( | LookupTable const & | lut | ) | `[inline]`

## Member Function Documentation

void gdcm::LookupTable::Allocate | ( | unsigned short | bitsample = `8` | ) |

Allocate the LUT.

void gdcm::LookupTable::Clear | ( |  | ) |

Clear the LUT.

void gdcm::LookupTable::Decode | ( | std::istream & | is,
|  | std::ostream & | os |
| ) |  |  | const

Decode the LUT.

unsigned short gdcm::LookupTable::GetBitSample | ( |  | ) | const`[inline]`

return the bit sample

bool gdcm::LookupTable::GetBufferAsRGBA | ( | unsigned char * | rgba | ) | const

return the LUT as RGBA buffer

void gdcm::LookupTable::GetLUT | ( | LookupTableType | type,
|  | unsigned char * | array,
|  | unsigned int & | length |
| ) |  |  | const

void gdcm::LookupTable::GetLUTDescriptor | ( | LookupTableType | type,
|  | unsigned short & | length,
|  | unsigned short & | subscript,
|  | unsigned short & | bitsize |
| ) |  |  | const

unsigned int gdcm::LookupTable::GetLUTLength | ( | LookupTableType | type | ) | const

const unsigned char* gdcm::LookupTable::GetPointer | ( |  | ) | const

return a raw pointer to the LUT

void gdcm::LookupTable::InitializeBlueLUT | ( | unsigned short | length,
|  | unsigned short | subscript,
|  | unsigned short | bitsize |
| ) |  |  |

void gdcm::LookupTable::InitializeGreenLUT | ( | unsigned short | length,
|  | unsigned short | subscript,
|  | unsigned short | bitsize |
| ) |  |  |

void gdcm::LookupTable::InitializeLUT | ( | LookupTableType | type,
|  | unsigned short | length,
|  | unsigned short | subscript,
|  | unsigned short | bitsize |
| ) |  |  |

Generic interface:

void gdcm::LookupTable::InitializeRedLUT | ( | unsigned short | length,
|  | unsigned short | subscript,
|  | unsigned short | bitsize |
| ) |  |  |

RED / GREEN / BLUE specific:

void gdcm::LookupTable::Print | ( | std::ostream & |  | ) | const`[inline, virtual]`

Reimplemented from gdcm::Object.

Reimplemented in gdcm::SegmentedPaletteColorLookupTable.

void gdcm::LookupTable::SetBlueLUT | ( | const unsigned char * | blue,
|  | unsigned int | length |
| ) |  |  |

void gdcm::LookupTable::SetGreenLUT | ( | const unsigned char * | green,
|  | unsigned int | length |
| ) |  |  |

virtual void gdcm::LookupTable::SetLUT | ( | LookupTableType | type,
|  | const unsigned char * | array,
|  | unsigned int | length |
| ) |  |  | `[virtual]`

Reimplemented in gdcm::SegmentedPaletteColorLookupTable.

void gdcm::LookupTable::SetRedLUT | ( | const unsigned char * | red,
|  | unsigned int | length |
| ) |  |  |

bool gdcm::LookupTable::WriteBufferAsRGBA | ( | const unsigned char * | rgba | ) |

Write the LUT as RGBA.

## Member Data Documentation

unsigned short gdcm::LookupTable::BitSample`[protected]`

bool gdcm::LookupTable::IncompleteLUT`[protected]`

LookupTableInternal* gdcm::LookupTable::Internal`[protected]`

The documentation for this class was generated from the following file:

- gdcmLookupTable.h